# $Revision: 1.55.2.1 $, $Date: 2008/09/28 21:10:06 $
# TODO:
#  - do something with *.rdf file, there if file conflict with other lang packages
#
%define		_lang		pl
Summary:	Polish resources for Mozilla-firefox
Summary(pl.UTF-8):	Polskie pliki językowe dla Mozilli-firefox
Name:		mozilla-firefox-lang-%{_lang}
Version:	2.0.0.17
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		I18n
Source0:	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/%{_lang}.xpi
# Source0-md5:	042bf2ad5857ae57ce7dbd3a8d83d344
Source1:	pl-PL.manifest
URL:		http://www.firefox.pl/
BuildRequires:	unzip
Requires:	mozilla-firefox >= %{version}
Provides:	mozilla-firefox-lang-resources = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_firefoxdir	%{_datadir}/mozilla-firefox
%define		_chromedir	%{_firefoxdir}/chrome

%description
Polish resources for Mozilla-firefox.

%description -l pl.UTF-8
Polskie pliki językowe dla Mozilli-firefox.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_firefoxdir}/{defaults/profile,searchplugins}}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/pl.jar $RPM_BUILD_ROOT%{_chromedir}/pl-PL.jar
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_firefoxdir}/defaults/profile

install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/pl-PL.jar
%{_chromedir}/pl-PL.manifest
%{_firefoxdir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-firefox-lang-pl.spec,v $
Revision 1.55.2.1  2008/09/28 21:10:06  glen
- up to 2.0.0.17

Revision 1.55  2008/05/24 18:03:43  megabajt
- changed Groups to I18n

Revision 1.54  2008-04-22 10:12:39  dzeus
- up to 2.0.0.14

Revision 1.53  2008-03-28 21:45:06  glen
- release 2

Revision 1.52  2008-03-27 13:35:27  hawk
- updated to 2.0.0.13

Revision 1.51  2008-02-20 18:01:10  qboosh
- updated md5, use direct Source0 URL

Revision 1.50  2008-02-20 17:57:51  qboosh
- updated to 2.0.0.12
- triple-licensed

Revision 1.49  2007-12-03 14:00:37  glen
- 2.0.0.11

Revision 1.48  2007-11-27 10:44:50  shadzik
- 2.0.0.10

Revision 1.47  2007-11-03 21:09:09  glen
- unify

Revision 1.46  2007/11/02 10:16:52  shadzik
- ups, previous commit has broken megabajts changelog :/ - fixed

Revision 1.45  2007/11/02 10:04:45  shadzik
- 2.0.0.9

Revision 1.44  2007/10/21 12:07:35  megabajt
- updated to 2.0.0.8

Revision 1.43  2007/09/19 07:52:32  shadzik
- 2.0.0.7

Revision 1.42  2007/08/14 19:31:55  megabajt
- newer pl.xpi; previous one was broken
- release 2

Revision 1.41  2007/08/04 21:25:26  dzeus
- up to 2.0.0.6

Revision 1.40  2007/06/01 14:17:41  hawk
- updated to 2.0.0.4

Revision 1.39  2007/03/21 08:56:50  spider
- up to 2.0.0.3

Revision 1.38  2007/02/25 01:33:23  glen
- 2.0.0.2

Revision 1.37  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.35  2006/12/22 15:33:37  glen
- 2.0.0.1

Revision 1.34  2006/12/08 14:43:38  glen
- drop bogus deps

Revision 1.33  2006/12/07 10:46:21  qboosh
- updated to 2.0; older resources break firefox 2.0!

Revision 1.32  2006/11/15 11:19:50  qboosh
- updated to 1.5.0.8

Revision 1.31  2006/09/16 18:25:23  wolvverine
- up to 1.5.0.7

Revision 1.30  2006/08/08 12:12:30  hawk
- updated to 1.5.0.6

Revision 1.29  2006/06/02 17:29:28  adamg
- updated to 1.5.0.4

Revision 1.28  2006/05/23 07:28:16  spider
- up to 1.5.0.3

Revision 1.27  2006/04/14 17:27:16  megabajt
- updated to 1.5.0.2

Revision 1.26  2006/02/08 00:49:56  wolvverine
- up to version 1.5.0.1
- STBR

Revision 1.25  2006/02/02 12:23:57  qboosh
- dropped -installed-chrome.txt (not used by firefox 1.5)

Revision 1.24  2006/01/16 08:10:08  blekot
- lang-pl now working after install
- clenup
- triggers removed (obsolete)
- STBR

Revision 1.23  2006/01/15 21:08:51  blekot
- %files correct

Revision 1.22  2006/01/15 21:05:47  blekot
- pl.jar file renamed to glibc standard (pl-PL.jar)

Revision 1.21  2006/01/15 20:48:52  blekot
- updated to 1.5

Revision 1.20  2005/09/22 13:43:30  jack
- updated to 1.0.7

Revision 1.19  2005/07/20 18:38:44  kosmo
- updated to 1.0.6

Revision 1.18  2005/05/12 22:32:01  adamg
- updated to 1.0.4

Revision 1.17  2005/05/03 10:20:00  adamg
- release 2, with fixed installed-chrome.txt file (fixes from Mariusz
  Kryński  mrk (at) sed.pl)

Revision 1.16  2005/04/19 19:27:39  ciesiel
- upgrade to version 1.0.3

Revision 1.15  2005/04/16 13:14:59  sparky
- added TODO

Revision 1.14  2005/03/24 21:29:02  ciesiel
- rel. 1

Revision 1.13  2005/03/24 15:49:07  ciesiel
- upgrade to version 1.0.2
- added file install.rdf

Revision 1.12  2005/03/07 12:38:21  paszczus
- updated to 1.0.1

Revision 1.11  2004/11/10 23:14:16  jack
- updated to 1.0 - Not Tested Yet

Revision 1.10  2004/10/15 20:07:17  jack
- updated to 0.10 - something is wrong

Revision 1.9  2004/07/17 21:18:04  domelu
- up to 0.9.1, still waiting for 0.9.2 ;)

Revision 1.8  2004/06/20 04:49:50  troll
- updated for 0.9
- searchplugins/ and defaults/ are no longer in the package (at least now)

Revision 1.7  2004/05/11 15:26:23  qboosh
- doesn't obsolete other -lang-resources
- versioned deps, release 0.4

Revision 1.6  2004/03/04 23:48:53  undefine
- provides/obsoletes mozilla-firefox-lang-resources

Revision 1.5  2004/03/04 21:11:52  undefine
- use mozilla-firefox, not firefox

Revision 1.4  2004/03/04 09:50:39  jack
- proper requires

Revision 1.3  2004/03/03 21:15:16  jack
- cosmetic
- where are firefox-misc-installed-chrome.txtand  firefox-en-US-installed-chrome.txt ?

Revision 1.2  2004/03/03 20:56:03  undefine
- use %{_libdir} - chrome theme can have binary files... i think
- use splitted installed... files
- rel 0.2, seems to work...

Revision 1.1  2004/02/29 22:49:10  jack
- initial release (based on mozilla-lang-pl.spec)
- NFY (I've gived up)
